Fork me on GitHub

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 50
Number of unique artifacts (NOA): 61
Number of version-conflicting artifacts (NOC): 5
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 81 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

org.codehaus.plexus:plexus-classworlds

[Error]
2.5.1
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven:maven-core:jar:3.2.5:provided
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.0.M1:provided
          \- org.codehaus.plexus:plexus-classworlds:jar:2.5.1:provided

2.5.2
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven:maven-core:jar:3.2.5:provided
       \- org.codehaus.plexus:plexus-classworlds:jar:2.5.2:provided

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    +- org.apache.maven:maven-core:jar:3.2.5:provided
    |  +- org.apache.maven:maven-settings-builder:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:provided
    |  +- org.apache.maven:maven-model-builder:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:provided
    |  +- org.apache.maven:maven-aether-provider:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:provided
    |  +- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.0.M1:provided
    |  |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:provided
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:provided
    \- org.apache.maven:maven-compat:jar:3.2.5:test
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test

2.1.1
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.1:compile

org.codehaus.plexus:plexus-interpolation

[Error]
1.21
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    +- org.apache.maven:maven-core:jar:3.2.5:provided
    |  +- org.apache.maven:maven-settings-builder:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-interpolation:jar:1.21:provided
    |  +- org.apache.maven:maven-model-builder:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-interpolation:jar:1.21:provided
    |  \- org.codehaus.plexus:plexus-interpolation:jar:1.21:provided
    \- org.apache.maven:maven-compat:jar:3.2.5:test
       \- org.codehaus.plexus:plexus-interpolation:jar:1.21:test

1.26
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.codehaus.plexus:plexus-interpolation:jar:1.26:test

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven:maven-core:jar:3.2.5:provided
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:provided
          \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:provided
             \- org.codehaus.plexus:plexus-utils:jar:1.0.4:provided

1.5.5
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven:maven-core:jar:3.2.5:provided
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:provided
          \- org.codehaus.plexus:plexus-utils:jar:1.5.5:provided

2.1
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven:maven-core:jar:3.2.5:provided
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.0.M1:provided
          \- org.codehaus.plexus:plexus-utils:jar:2.1:provided

3.0
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
          \- org.codehaus.plexus:plexus-io:jar:2.0.4:test
             \- org.codehaus.plexus:plexus-utils:jar:3.0:test

3.0.15
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    +- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
    |  \- org.codehaus.plexus:plexus-utils:jar:3.0.15:test
    \- org.apache.maven:maven-compat:jar:3.2.5:test
       \- org.apache.maven.wagon:wagon-provider-api:jar:2.8:test
          \- org.codehaus.plexus:plexus-utils:jar:3.0.15:test

3.0.20
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    +- org.apache.maven:maven-model:jar:3.2.5:provided
    |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    +- org.apache.maven:maven-artifact:jar:3.2.5:provided
    |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    +- org.apache.maven:maven-core:jar:3.2.5:provided
    |  +- org.apache.maven:maven-settings:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    |  +- org.apache.maven:maven-settings-builder:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    |  +- org.apache.maven:maven-repository-metadata:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    |  +- org.apache.maven:maven-model-builder:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    |  +- org.apache.maven:maven-aether-provider:jar:3.2.5:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    |  \- org.codehaus.plexus:plexus-utils:jar:3.0.20:provided
    \- org.apache.maven:maven-compat:jar:3.2.5:test
       \- org.codehaus.plexus:plexus-utils:jar:3.0.20:test

3.0.7
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
          \- org.codehaus.plexus:plexus-utils:jar:3.0.7:test

3.4.2
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.codehaus.plexus:plexus-utils:jar:3.4.2:compile

org.sonatype.sisu:sisu-guice

[Error]
3.1.6
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven:maven-core:jar:3.2.5:provided
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.0.M1:provided
          \- org.sonatype.sisu:sisu-guice:jar:no_aop:3.1.6:provided

3.2.3
    org.codehaus.mojo:exec-maven-plugin:maven-plugin:3.1.0
    \- org.apache.maven:maven-core:jar:3.2.5:provided
       \- org.sonatype.sisu:sisu-guice:jar:no_aop:3.2.3:provided